org.eclipse.eef.ide.ui.internal.widgets.quickfix

## Class EEFQuickFixTableComparator

- java.lang.Object
- - org.eclipse.jface.viewers.ViewerComparator
  - - org.eclipse.eef.ide.ui.internal.widgets.quickfix.EEFQuickFixTableComparator

    public class EEFQuickFixTableComparator
    extends org.eclipse.jface.viewers.ViewerComparator

The viewer comparator used to order the quick fixes.

### Constructor Summary

Constructors
Constructor and Description
`EEFQuickFixTableComparator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compare(org.eclipse.jface.viewers.Viewer viewer, java.lang.Object e1, java.lang.Object e2)`

### Methods inherited from class org.eclipse.jface.viewers.ViewerComparator

`category, getComparator, isSorterProperty, sort`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFQuickFixTableComparator

    public EEFQuickFixTableComparator()

### Method Detail

#### compare

    public int compare(org.eclipse.jface.viewers.Viewer viewer,
                       java.lang.Object e1,
                       java.lang.Object e2)

Overrides:
  `compare` in class `org.eclipse.jface.viewers.ViewerComparator`
See Also:
  `ViewerComparator.compare(org.eclipse.jface.viewers.Viewer, java.lang.Object, java.lang.Object)`